Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "0deea76c-8c47-4030-aa3f-58fba0599e9a",
  "date_start": "2026-05-30T20:03:13.8785307+00:00",
  "date_end": "2026-05-30T20:03:13.8785307+00:00",
  "modified_dateutc": "2026-05-30T20:03:13.8785307+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "7a126bdd-274d-4387-8b9b-0eea73577c26",
  "user_code": "sample string 8",
  "user": {
    "id": "035ddbd3-cb27-4939-9564-abf664e8ad1d",
    "db_language_id": "e6575b75-5562-4568-9d4c-6fdb59c82096",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-05-30T20:03:13.8785307+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "c49f4edc-1dd5-4aa2-9e5a-e34844de4374",
    "sales_organization": {
      "id": "ccefe112-a1c6-40b8-bc22-2c2fdefd960c",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "3f5f0eda-83df-4bc0-8c20-6be291b84d66",
      "db_currency_id": "856d25d1-8b69-48dc-a33b-4085fe0015d6",
      "db_language_id": "a4bf864d-fd37-477e-91c2-30feed0740a7",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-30T20:03:13.8785307+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "c3402471-006f-4046-97c2-0b6a222a7caa",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "6d02b64a-4c6a-484a-8d47-8c22e09571bc",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-05-30T20:03:13.8785307+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "4867db9a-d0ac-4ba8-924d-33f461ae3c6c"
  },
  "user_unavailability_type_id": "0648b1a2-6ff4-4be5-b9db-4ef1314bff1a",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "911337c9-4655-4e7f-ba51-909c54068e02",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "cb0445af-c9fa-46f6-abb5-e8c3a9ecbf30",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "ccefe112-a1c6-40b8-bc22-2c2fdefd960c",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "3f5f0eda-83df-4bc0-8c20-6be291b84d66",
      "db_currency_id": "856d25d1-8b69-48dc-a33b-4085fe0015d6",
      "db_language_id": "a4bf864d-fd37-477e-91c2-30feed0740a7",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-30T20:03:13.8785307+00:00"
    },
    "modified_dateutc": "2026-05-30T20:03:13.8785307+00:00"
  }
}